#ifndef PACKET_H_
#define PACKET_H_

#include <stdint.h>

typedef struct
{
	uint8_t bit_duration:5;
	uint8_t ready:1;
	uint8_t sending:1;
	volatile uint8_t done:1;
	uint8_t length;
	uint8_t data[32];
	uint8_t repeat_count;
	uint8_t repeat_delay;
	uint8_t final_delay;
} Packet;

extern Packet packet;

void clear_packet();

#endif
